org.apache.solr.client.solrj.io.stream

## Class ModelStream

- java.lang.Object
- - org.apache.solr.client.solrj.io.stream.TupleStream
  - - org.apache.solr.client.solrj.io.stream.ModelStream

- All Implemented Interfaces:
    Closeable, Serializable, AutoCloseable, Expressible

      public class ModelStream
      extends TupleStream
      implements Expressible

  The ModelStream retrieves a stored model from a Solr Cloud collection. Syntax: model(collection, id="modelID")
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected long` | `cacheMillis`
    `protected String` | `collection`
    `protected Tuple` | `model`
    `protected ModelCache` | `modelCache`
    `protected String` | `modelID`
    `protected SolrClientCache` | `solrClientCache`
    `protected String` | `zkHost`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ModelStream(StreamExpression expression, StreamFactory factory)`
    `ModelStream(String zkHost, String collectionName, String modelID, long cacheMillis)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `List<TupleStream>` | `children()`
    `void` | `close()`
    `StreamComparator` | `getStreamSort()` Return the stream sort - ie, the order in which records are returned
    `void` | `open()`
    `Tuple` | `read()`
    `void` | `setStreamContext(StreamContext context)`
    `Explanation` | `toExplanation(StreamFactory factory)` Returns an explanation about the stream object
    `StreamExpressionParameter` | `toExpression(StreamFactory factory)`

    - ### Methods inherited from class org.apache.solr.client.solrj.io.stream.TupleStream

      `getCost, getStreamNodeId, writeStreamClose, writeStreamOpen`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### zkHost

          protected String zkHost

    - #### collection

          protected String collection

    - #### modelID

          protected String modelID

    - #### modelCache

          protected ModelCache modelCache

    - #### solrClientCache

          protected SolrClientCache solrClientCache

    - #### model

          protected Tuple model

    - #### cacheMillis

          protected long cacheMillis

  - ### Constructor Detail

    - #### ModelStream

          public ModelStream(String zkHost,
                             String collectionName,
                             String modelID,
                             long cacheMillis)
                      throws IOException

      Throws:
        `IOException`

    - #### ModelStream

          public ModelStream(StreamExpression expression,
                             StreamFactory factory)
                      throws IOException

      Throws:
        `IOException`

  - ### Method Detail

    - #### toExpression

          public StreamExpressionParameter toExpression(StreamFactory factory)
                                                 throws IOException

      Specified by:
        `toExpression` in interface `Expressible`
      Throws:
        `IOException`

    - #### setStreamContext

          public void setStreamContext(StreamContext context)

      Specified by:
        `setStreamContext` in class `TupleStream`

    - #### open

          public void open()
                    throws IOException

      Specified by:
        `open` in class `TupleStream`
      Throws:
        `IOException`

    - #### children

          public List<TupleStream> children()

      Specified by:
        `children` in class `TupleStream`

    - #### close

          public void close()
                     throws IOException

      Specified by:
        `close` in interface `Closeable`
      Specified by:
        `close` in interface `AutoCloseable`
      Specified by:
        `close` in class `TupleStream`
      Throws:
        `IOException`

    - #### getStreamSort

          public StreamComparator getStreamSort()

      Return the stream sort - ie, the order in which records are returned
      Specified by:
        `getStreamSort` in class `TupleStream`

    - #### toExplanation

          public Explanation toExplanation(StreamFactory factory)
                                    throws IOException

      Description copied from interface: `Expressible`
      Returns an explanation about the stream object
      Specified by:
        `toExplanation` in interface `Expressible`
      Specified by:
        `toExplanation` in class `TupleStream`
      Parameters:
        `factory` - Stream factory for this, contains information about the function name
      Returns:
        Explanation about this stream object containing explanations of any child stream objects
      Throws:
        `IOException` - throw on any error

    - #### read

          public Tuple read()
                     throws IOException

      Specified by:
        `read` in class `TupleStream`
      Throws:
        `IOException`

Copyright © 2000-2016 Apache Software Foundation. All Rights Reserved.